// IBus Candidate Popup

.candidate-popup-boxpointer {
  @extend .popup-menu-boxpointer;
}

.candidate-popup-content {
  background-color: $menu_bg_color;
  border-radius: $buttons_radius;
  box-shadow: 0 3px 8px rgba(black, 0.2);
  margin: ($container_padding / 2) 10px 13px;
  padding: $container_padding;
  spacing: $container_padding;
  border: none;
}

.candidate-index {
  padding: 0 0.5em 0 0;
  color: $hint_fg_color;
  .candidate-box:selected & { color: $inverse_hint_fg_color; }
}

.candidate-box {
  padding: 0.3em 0.5em 0.3em 0.5em;
  margin-right: $container_padding / 2;
  border-radius: $buttons_radius - $container_padding;
  &:hover { background-color: $divider_color; color: $fg_color; }
  &:active { background-color: $track_color; color: $fg_color; }
  &:selected { background-color: $primary_color; color: $inverse_fg_color; }
  &:last-child { margin-right: 0; }
}

.candidate-page-button-box {
  height: 2em;
  .vertical & { padding-top: 0.5em; }
  .horizontal & { padding-left: 0.5em; }
}

.candidate-page-button {
  padding: 4px;
}

.candidate-page-button-previous { border-radius: $buttons_radius 0px 0px $buttons_radius; border-right-width: 0; }
.candidate-page-button-next { border-radius: 0px $buttons_radius $buttons_radius 0px;  }
.candidate-page-button-icon { icon-size: 1em; }
